%define version 1.3.5.9
%define srcdir	1.3.5_p9-2

Name:		easyabc
Summary:	An abc music notation text editor program that can also generate MIDI files
Version:	%{version}
Release:	%mkrel 2
License:	GPL2
Vendor:		Nils Liberg
#original
#Url:		http://www.nilsliberg.se/ksp/easyabc/
#patched sources
Url:		http://ifdo.ca/~seymour/easy/
Source:		%{name}_source_code_%{version}.tar.xz
Group:		Sound
BuildRequires:	ImageMagick
BuildRequires:	wxPythonGTK-devel
BuildRequires:	%{_lib}pygame1.9-devel
BuildRequires:	%{_lib}wxsvg-devel
Requires:	TiMidity++
Requires:	abc2xml >= 54
Requires:	abcm2ps
Requires:	abcMIDI
Requires:	nwc2xml
Requires:	pygame	
Requires:	python
Requires:	python-parsing
Requires:	wxPythonGTK
Requires:	wxGTK2.8
Requires:	gstreamer0.10-wildmidi
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
EasyABC is an open source ABC music editor for Windows, OSX and Linux.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}_source_code_%{srcdir}

%build
%install

convert img/logo64.png -resize 48x48 easyabc.png
mkdir -p %{buildroot}%{_iconsdir}
mv easyabc.png %{buildroot}%{_iconsdir}

mkdir -p %{buildroot}%{py_platsitedir}/%{name}
mv * %{buildroot}%{py_platsitedir}/%{name}

ln -s %{_bindir}/abcm2ps %{buildroot}%{py_platsitedir}/%{name}/bin/abcm2ps
ln -s %{_bindir}/abc2midi %{buildroot}%{py_platsitedir}/%{name}/bin/abc2midi
ln -s %{_bindir}/abc2abc %{buildroot}%{py_platsitedir}/%{name}/bin/abc2abc

mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{py_platsitedir}/%{name}/*txt %{_builddir}/%{name}_source_code_%{srcdir}


mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
export EASYABCDIR=%{py_platsitedir}/%{name}
%{_bindir}/python %{py_platsitedir}/%{name}/easy_abc.py "\$@"
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=ABC Music Editor
Comment=ABC Music Editor
Name=EasyABC
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
X-KDE-StartupNotify=true
InitialPreference=8
MimeType=text/x-%{name};
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;Education;
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="text/x-%{name}">
         <comment>ABC music notation file</comment>
         <glob pattern="*.abc" />
         <sub-class-of type="text/plain" />
  </mime-type>
</mime-info>
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_mime_database}
%{update_desktop_database}

%postun
%{clean_mime_database}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc changes.txt gpl-license.txt readme.txt reference.txt requirements.txt using_EasyABC_in_Linux.txt
%{_bindir}/%{name}
%{py_platsitedir}/%{name}/*
%{_iconsdir}/easyabc.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Wed Dec 10 2014 bb <bb> 1.3.5.9-2pclos2014
- use lib macro for wxsvg-devel

* Sat Nov 08 2014 gseaman <galen.seaman at comcast.net> 1.3.5.9-1gseaman2014
- 1.3.5.9

* Sun Aug 24 2014 gseaman <galen.seaman at comcast.net> 1.3.5_p8_20140805-1gseaman2014
- bugfixes

